> ## Documentation Index
> Fetch the complete documentation index at: https://docs.buyparceldata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Address lookup

> Look up parcels by a street address.



## OpenAPI

````yaml api-reference/openapi.json GET /parcels/address
openapi: 3.1.0
info:
  title: BuyParcelData API
  description: Access nationwide parcel data by geographic polygon, point, or address.
  version: 1.0.0
servers:
  - url: https://api.buyparceldata.com
    description: Production
security: []
paths:
  /parcels/address:
    get:
      tags:
        - parcels
      summary: Get Parcel By Address
      description: Geocode an address, then return matching parcels.
      operationId: get_parcel_by_address_parcels_address_get
      parameters:
        - name: address
          in: query
          required: true
          schema:
            type: string
            description: Full address (e.g. '123 Main St, Springfield, IL 62701')
            title: Address
          description: Full address (e.g. '123 Main St, Springfield, IL 62701')
        - name: include_buildings
          in: query
          required: false
          schema:
            type: boolean
            description: Include building footprints for each parcel
            default: false
            title: Include Buildings
          description: Include building footprints for each parcel
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ParcelView'
                title: Response Get Parcel By Address Parcels Address Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ParcelView:
      additionalProperties: true
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````